Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo Class Reference

## Public Member Functions
| XFAWidgetModifyInfo ()
| Constructor.
| XFAWidgetModifyInfo (int event_type, int page_index, int element, int attribute_type, String old_value, String new_value, String widget_name)
| Constructor, with parameters. More...
| XFAWidgetModifyInfo (XFAWidgetModifyInfo other)
| Constructor, with another xfa widget modify information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getAttribute_type ()
| Get the attribute type. More...
int | getElement ()
| Get the XFA widget element. More...
int | getEvent_type ()
| Get the XFA event type. More...
String | getNew_value ()
| Get the new value. More...
String | getOld_value ()
| Get the old value. More...
int | getPage_index ()
| Get the page index. More...
String | getWidget_name ()
| Get the xfa widget name. More...
void | setAttribute_type (int value)
| Set the attribute type. More...
void | setElement (int value)
| Set the XFA widget element. More...
void | setEvent_type (int value)
| Set the XFA event type. More...
void | setNew_value (String value)
| Set the new value. More...
void | setOld_value (String value)
| Set the old value. More...
void | setPage_index (int value)
| Set the page index. More...
void | setWidget_name (String value)
| Set the xfa widget name. More...

## Static Public Attributes
static final int | e_WidgetAttributeTypeAccess = 13
| Widget attribute type: Access.
static final int | e_WidgetAttributeTypeAllowRichText = 11
| Widget attribute type: Allow rich text.
static final int | e_WidgetAttributeTypeBaselineShift = 17
| Widget attribute type: Baseline shift.
static final int | e_WidgetAttributeTypeBorderColor = 49
| Widget attribute type: Border color.
static final int | e_WidgetAttributeTypeBorderWidth = 37
| Widget attribute type: Border width.
static final int | e_WidgetAttributeTypeBottomInset = 10
| Widget attribute type: Bottom inset.
static final int | e_WidgetAttributeTypeFillColor = 50
| Widget attribute type: Fill color.
static final int | e_WidgetAttributeTypeFontColor = 51
| Widget attribute type: Font color.
static final int | e_WidgetAttributeTypeFontHorizontalScale = 7
| Widget attribute type: Font horizontal scale.
static final int | e_WidgetAttributeTypeFracDigits = 19
| Widget attribute type: Frac digits.
static final int | e_WidgetAttributeTypeH = 0
| Widget attribute type: H. Height for layout purposes.
static final int | e_WidgetAttributeTypeLayout = 33
| Widget attribute type: Layout.
static final int | e_WidgetAttributeTypeLeadDigits = 46
| Widget attribute type: Lead digits.
static final int | e_WidgetAttributeTypeLeftInset = 9
| Widget attribute type: Left inset.
static final int | e_WidgetAttributeTypeLetterSpacing = 26
| Widget attribute type: Letter spacing.
static final int | e_WidgetAttributeTypeLineHAlign = 5
| Widget attribute type: Horizontal text alignment control.
static final int | e_WidgetAttributeTypeLineHeight = 43
| Widget attribute type: Line height.
static final int | e_WidgetAttributeTypeLineThrough = 4
| Widget attribute type: Line through.
static final int | e_WidgetAttributeTypeLineThroughPeriod = 35
| Widget attribute type: Line through period.
static final int | e_WidgetAttributeTypeLocale = 38
| Widget attribute type: Locale.
static final int | e_WidgetAttributeTypeMarginLeft = 20
| Widget attribute type: Margin left digits.
static final int | e_WidgetAttributeTypeMarginRight = 14
| Widget attribute type: Margin right.
static final int | e_WidgetAttributeTypeMaxH = 29
| Widget attribute type: Max H.
static final int | e_WidgetAttributeTypeMaxW = 30
| Widget attribute type: Max W.
static final int | e_WidgetAttributeTypeMinH = 31
| Widget attribute type: Min H.
static final int | e_WidgetAttributeTypeMinW = 32
| Widget attribute type: Min W.
static final int | e_WidgetAttributeTypeMultiLine = 23
| Widget attribute type: Multiline.
static final int | e_WidgetAttributeTypeNumberOfCells = 25
| Widget attribute type: Number of cells.
static final int | e_WidgetAttributeTypeOverline = 42
| Widget attribute type: Overline.
static final int | e_WidgetAttributeTypeOverlinePeriod = 18
| Widget attribute type: Overline period.
static final int | e_WidgetAttributeTypePasswordChar = 27
| Widget attribute type: Password char.
static final int | e_WidgetAttributeTypePlacement = 48
| Widget attribute type: Placement.
static final int | e_WidgetAttributeTypePresence = 22
| Widget attribute type: Presence.
static final int | e_WidgetAttributeTypeRightInset = 34
| Widget attribute type: Right inset.
static final int | e_WidgetAttributeTypeRotate = 15
| Widget attribute type: Rotate.
static final int | e_WidgetAttributeTypeShape = 36
| Widget attribute type: Shape.
static final int | e_WidgetAttributeTypeSpaceAbove = 47
| Widget attribute type: Space above.
static final int | e_WidgetAttributeTypeSpaceBelow = 24
| Widget attribute type: Space below.
static final int | e_WidgetAttributeTypeStroke = 21
| Widget attribute type: Stroke.
static final int | e_WidgetAttributeTypeTextEncoding = 45
| Widget attribute type: Text encoding.
static final int | e_WidgetAttributeTypeTextIndent = 8
| Widget attribute type: Text intent.
static final int | e_WidgetAttributeTypeTopInset = 12
| Widget attribute type: Top inset.
static final int | e_WidgetAttributeTypeTypeface = 6
| Widget attribute type: Type face.
static final int | e_WidgetAttributeTypeUnderline = 16
| Widget attribute type: Underline.
static final int | e_WidgetAttributeTypeUnderlinePeriod = 40
| Widget attribute type: Underline period.
static final int | e_WidgetAttributeTypeUnknown = 52
| Widget attribute type: Unknown.
static final int | e_WidgetAttributeTypeVAlign = 28
| Widget attribute type: Vertical text alignment control.
static final int | e_WidgetAttributeTypeValue = 44
| Widget attribute type: Value.
static final int | e_WidgetAttributeTypeW = 1
| Widget attribute type: W. Width for layout purposes.
static final int | e_WidgetAttributeTypeWeight = 39
| Widget attribute type: Weight.
static final int | e_WidgetAttributeTypeX = 2
| Widget attribute type: X. X coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
static final int | e_WidgetAttributeTypeY = 3
| Widget attribute type: Y. Y coordinate of the container's anchor point relative to the top-left corner of the parent container's nominal content region when placed with positioned layout.
static final int | e_WidgetElementAccessibleContent = 214
| XFA widget element: Accessible content.
static final int | e_WidgetElementAcrobat = 177
| XFA widget element: Acrobat.
static final int | e_WidgetElementAcrobat7 = 230
| XFA widget element: Acrobat7.
static final int | e_WidgetElementADBE_JSConsole = 192
| XFA widget element: ADBE_JSConsole.
static final int | e_WidgetElementADBE_JSDebugger = 229
| XFA widget element: ADBE JS Debugger.
static final int | e_WidgetElementAddSilentPrint = 59
| XFA widget element: Add silent print.
static final int | e_WidgetElementAddViewerPreferences = 182
| XFA widget element: Add viewer preferences.
static final int | e_WidgetElementAdjustData = 96
| XFA widget element: Adjust data.
static final int | e_WidgetElementAdobeExtensionLevel = 6
| XFA widget element: Adobe extension level.
static final int | e_WidgetElementAgent = 94
| XFA widget element: Agent.
static final int | e_WidgetElementAlwaysEmbed = 183
| XFA widget element: Always embed.
static final int | e_WidgetElementAmd = 16
| XFA widget element: Amd.
static final int | e_WidgetElementAppearanceFilter = 250
| XFA widget element: Appearance filter.
static final int | e_WidgetElementArc = 17
| XFA widget element: Arc.
static final int | e_WidgetElementArea = 75
| XFA widget element: Area.
static final int | e_WidgetElementAssist = 145
| XFA widget element: Assist.
static final int | e_WidgetElementAttributes = 106
| XFA widget element: Attributes.
static final int | e_WidgetElementAutoSave = 97
| XFA widget element: Auto save.
static final int | e_WidgetElementBarcode = 54
| XFA widget element: Barcode.
static final int | e_WidgetElementBase = 223
| XFA widget element: Base.
static final int | e_WidgetElementBatchOutput = 56
| XFA widget element: Batch output.
static final int | e_WidgetElementBehaviorOverride = 120
| XFA widget element: Behavior override.
static final int | e_WidgetElementBind = 224
| XFA widget element: bind.
static final int | e_WidgetElementBindItems = 269
| XFA widget element: Bind items.
static final int | e_WidgetElementBookend = 264
| XFA widget element: Bookend.
static final int | e_WidgetElementBoolean = 140
| XFA widget element: Boolean.
static final int | e_WidgetElementBorder = 74
| XFA widget element: Border.
static final int | e_WidgetElementBreak = 8
| XFA widget element: Break.
static final int | e_WidgetElementBreakAfter = 300
| XFA widget element: Break after.
static final int | e_WidgetElementBreakBefore = 24
| XFA widget element: Break before.
static final int | e_WidgetElementButton = 72
| XFA widget element: Button.
static final int | e_WidgetElementCache = 35
| XFA widget element: Cache.
static final int | e_WidgetElementCalculate = 270
| XFA widget element: Calculate.
static final int | e_WidgetElementCalendarSymbols = 42
| XFA widget element: Calendar symbols.
static final int | e_WidgetElementCaption = 193
| XFA widget element: Caption.
static final int | e_WidgetElementCertificate = 255
| XFA widget element: Certificate.
static final int | e_WidgetElementCertificates = 81
| XFA widget element: Certificates.
static final int | e_WidgetElementChange = 187
| XFA widget element: Change.
static final int | e_WidgetElementCheckButton = 13
| XFA widget element: Check button.
static final int | e_WidgetElementChoiceList = 39
| XFA widget element: Choice list.
static final int | e_WidgetElementColor = 154
| XFA widget element: Color.
static final int | e_WidgetElementComb = 88
| XFA widget element: Comb.
static final int | e_WidgetElementCommand = 136
| XFA widget element: Command.
static final int | e_WidgetElementCommon = 244
| XFA widget element: Common.
static final int | e_WidgetElementCompress = 111
| XFA widget element: Compress.
static final int | e_WidgetElementCompression = 225
| XFA widget element: compression.
static final int | e_WidgetElementCompressLogicalStructure = 290
| XFA widget element: Compress logical structure.
static final int | e_WidgetElementCompressObjectStream = 212
| XFA widget element: Compress object stream.
static final int | e_WidgetElementConfig = 116
| XFA widget element: Config.
static final int | e_WidgetElementConformance = 297
| XFA widget element: Conformance.
static final int | e_WidgetElementConnect = 276
| XFA widget element: Connect.
static final int | e_WidgetElementConnectionSet = 278
| XFA widget element: Connection set.
static final int | e_WidgetElementConnectString = 169
| XFA widget element: Connect string.
static final int | e_WidgetElementContentArea = 98
| XFA widget element: Content area.
static final int | e_WidgetElementContentCopy = 114
| XFA widget element: Content copy.
static final int | e_WidgetElementCopies = 137
| XFA widget element: Copies.
static final int | e_WidgetElementCorner = 152
| XFA widget element: Corner.
static final int | e_WidgetElementCreator = 275
| XFA widget element: Creator.
static final int | e_WidgetElementCurrencySymbol = 203
| XFA widget element: Currency symbol.
static final int | e_WidgetElementCurrencySymbols = 58
| XFA widget element: Currency symbols.
static final int | e_WidgetElementCurrentPage = 233
| XFA widget element: Current page.
static final int | e_WidgetElementData = 234
| XFA widget element: Data.
static final int | e_WidgetElementDataGroup = 243
| XFA widget element: Data group.
static final int | e_WidgetElementDataModel = 53
| XFA widget element: Data model.
static final int | e_WidgetElementDataValue = 213
| XFA widget element: Data value.
static final int | e_WidgetElementDataWindow = 180
| XFA widget element: Data window.
static final int | e_WidgetElementDate = 235
| XFA widget element: Date.
static final int | e_WidgetElementDatePattern = 221
| XFA widget element: Pattern.
static final int | e_WidgetElementDatePatterns = 14
| XFA widget element: Date patterns.
static final int | e_WidgetElementDateTime = 87
| XFA widget element: DateTime.
static final int | e_WidgetElementDateTimeEdit = 115
| XFA widget element: Date time edit.
static final int | e_WidgetElementDateTimeSymbols = 102
| XFA widget element: Date time symbols.
static final int | e_WidgetElementDay = 18
| XFA widget element: Day.
static final int | e_WidgetElementDayNames = 197
| XFA widget element: Day names.
static final int | e_WidgetElementDebug = 67
| XFA widget element: Debug.
static final int | e_WidgetElementDecimal = 125
| XFA widget element: Decimal.
static final int | e_WidgetElementDefaultTypeface = 199
| XFA widget element: Default typeface.
static final int | e_WidgetElementDefaultUi = 52
| XFA widget element: Default Ui.
static final int | e_WidgetElementDelete = 204
| XFA widget element: Delete.
static final int | e_WidgetElementDelta = 68
| XFA widget element: Delta.
static final int | e_WidgetElementDeltas = 205
| XFA widget element: Deltas.
static final int | e_WidgetElementDesc = 236
| XFA widget element: Desc.
static final int | e_WidgetElementDestination = 262
| XFA widget element: Destination.
static final int | e_WidgetElementDigestMethod = 206
| XFA widget element: Digest method.
static final int | e_WidgetElementDigestMethods = 160
| XFA widget element: Digest methods.
static final int | e_WidgetElementDocumentAssembly = 310
| XFA widget element: Document assembly.
static final int | e_WidgetElementDraw = 238
| XFA widget element: Draw.
static final int | e_WidgetElementDriver = 287
| XFA widget element: Driver.
static final int | e_WidgetElementDSigData = 274
| XFA widget element: D sig data.
static final int | e_WidgetElementDuplexOption = 222
| XFA widget element: Duplex option.
static final int | e_WidgetElementDynamicRender = 11
| XFA widget element: Dynamic render.
static final int | e_WidgetElementEdge = 104
| XFA widget element: Edge.
static final int | e_WidgetElementEffectiveInputPolicy = 295
| XFA widget element: Effective input policy.
static final int | e_WidgetElementEffectiveOutputPolicy = 228
| XFA widget element: Effective output policy.
static final int | e_WidgetElementEmbed = 134
| XFA widget element: Embed.
static final int | e_WidgetElementEncoding = 49
| XFA widget element: Encoding.
static final int | e_WidgetElementEncodings = 175
| XFA widget element: Encodings.
static final int | e_WidgetElementEncrypt = 237
| XFA widget element: Encrypt.
static final int | e_WidgetElementEncryptData = 309
| XFA widget element: Encrypt data.
static final int | e_WidgetElementEncryption = 239
| XFA widget element: Encryption.
static final int | e_WidgetElementEncryptionLevel = 103
| XFA widget element: Encryption level.
static final int | e_WidgetElementEncryptionMethod = 186
| XFA widget element: Encryption method.
static final int | e_WidgetElementEncryptionMethods = 82
| XFA widget element: Encrypt methods.
static final int | e_WidgetElementEnforce = 57
| XFA widget element: Enforce.
static final int | e_WidgetElementEquate = 165
| XFA widget element: Equate.
static final int | e_WidgetElementEquateRange = 208
| XFA widget element: Equate range.
static final int | e_WidgetElementEra = 19
| XFA widget element: Era.
static final int | e_WidgetElementEraNames = 69
| XFA widget element: Era names.
static final int | e_WidgetElementEvent = 50
| XFA widget element: Event.
static final int | e_WidgetElementEventPseudoModel = 99
| XFA widget element: Event pseudo model.
static final int | e_WidgetElementExclGroup = 109
| XFA widget element: Excl group.
static final int | e_WidgetElementExclude = 38
| XFA widget element: Exclude.
static final int | e_WidgetElementExcludeNS = 144
| XFA widget element: Exclude NS.
static final int | e_WidgetElementExData = 196
| XFA widget element: Ex data.
static final int | e_WidgetElementExecute = 113
| XFA widget element: Execute.
static final int | e_WidgetElementExObject = 265
| XFA widget element: Ex object.
static final int | e_WidgetElementExtras = 272
| XFA widget element: Extras.
static final int | e_WidgetElementField = 93
| XFA widget element: Field.
static final int | e_WidgetElementFill = 251
| XFA widget element: Fill.
static final int | e_WidgetElementFilter = 46
| XFA widget element: Filter.
static final int | e_WidgetElementFlipLabel = 195
| XFA widget element: Flip label.
static final int | e_WidgetElementFloat = 259
| XFA widget element: Float.
static final int | e_WidgetElementFont = 252
| XFA widget element: Font.
static final int | e_WidgetElementFontInfo = 9
| XFA widget element: Font info.
static final int | e_WidgetElementForm = 253
| XFA widget element: Form.
static final int | e_WidgetElementFormat = 73
| XFA widget element: Format.
static final int | e_WidgetElementFormFieldFilling = 166
| XFA widget element: Form field filling.
static final int | e_WidgetElementGroupParent = 308
| XFA widget element: Group parent.
static final int | e_WidgetElementHandler = 130
| XFA widget element: Handler.
static final int | e_WidgetElementHostPseudoModel = 131
| XFA widget element: Host pseudo model.
static final int | e_WidgetElementHyphenation = 76
| XFA widget element: Hyphenation.
static final int | e_WidgetElementIfEmpty = 90
| XFA widget element: If empty.
static final int | e_WidgetElementImage = 117
| XFA widget element: Image.
static final int | e_WidgetElementImageEdit = 158
| XFA widget element: Image edit.
static final int | e_WidgetElementIncludeXDPContent = 216
| XFA widget element: XDP content.
static final int | e_WidgetElementIncrementalLoad = 288
| XFA widget element: Incremental load.
static final int | e_WidgetElementIncrementalMerge = 291
| XFA widget element: Incremental merge.
static final int | e_WidgetElementInsert = 157
| XFA widget element: Insert.
static final int | e_WidgetElementInstanceManager = 207
| XFA widget element: Instance manager.
static final int | e_WidgetElementInteger = 163
| XFA widget element: Integer.
static final int | e_WidgetElementInteractive = 231
| XFA widget element: Interactive.
static final int | e_WidgetElementIssuers = 64
| XFA widget element: Issuers.
static final int | e_WidgetElementItems = 313
| XFA widget element: Items.
static final int | e_WidgetElementJog = 20
| XFA widget element: Jog.
static final int | e_WidgetElementKeep = 155
| XFA widget element: Keep.
static final int | e_WidgetElementKeyUsage = 37
| XFA widget element: Key usage.
static final int | e_WidgetElementLabelPrinter = 41
| XFA widget element: Label printer.
static final int | e_WidgetElementLayout = 171
| XFA widget element: Layout.
static final int | e_WidgetElementLayoutPseudoModel = 150
| XFA widget element: Layout pseudo model.
static final int | e_WidgetElementLevel = 40
| XFA widget element: Level.
static final int | e_WidgetElementLine = 301
| XFA widget element: Line.
static final int | e_WidgetElementLinear = 202
| XFA widget element: Linear.
static final int | e_WidgetElementLinearized = 281
| XFA widget element: Linearized.
static final int | e_WidgetElementList = 302
| XFA widget element: List.
static final int | e_WidgetElementLocale = 232
| XFA widget element: Locale.
static final int | e_WidgetElementLocaleSet = 129
| XFA widget element: Locale set.
static final int | e_WidgetElementLockDocument = 299
| XFA widget element: Lock document.
static final int | e_WidgetElementLog = 21
| XFA widget element: Log.
static final int | e_WidgetElementLogPseudoModel = 261
| XFA widget element: Log pseudo model.
static final int | e_WidgetElementManifest = 200
| XFA widget element: Manifest.
static final int | e_WidgetElementMap = 22
| XFA widget element: Map.
static final int | e_WidgetElementMargin = 36
| XFA widget element: Margin.
static final int | e_WidgetElementMdp = 23
| XFA widget element: Mdp.
static final int | e_WidgetElementMedium = 209
| XFA widget element: Medium.
static final int | e_WidgetElementMediumInfo = 254
| XFA widget element: Medium info.
static final int | e_WidgetElementMeridiem = 108
| XFA widget element: Meridiem.
static final int | e_WidgetElementMeridiemNames = 240
| XFA widget element: Meridiem Names.
static final int | e_WidgetElementMessage = 141
| XFA widget element: Message.
static final int | e_WidgetElementMessaging = 241
| XFA widget element: Messaging.
static final int | e_WidgetElementMode = 170
| XFA widget element: Mode.
static final int | e_WidgetElementModifyAnnots = 70
| XFA widget element: Modify annots.
static final int | e_WidgetElementMonth = 122
| XFA widget element: Month.
static final int | e_WidgetElementMonthNames = 306
| XFA widget element: Month mames.
static final int | e_WidgetElementMsgId = 153
| XFA widget element: Msg Id.
static final int | e_WidgetElementNameAttr = 296
| XFA widget element: Name attr.
static final int | e_WidgetElementNeverEmbed = 268
| XFA widget element: Never embed.
static final int | e_WidgetElementNodeList = 215
| XFA widget element: Node list.
static final int | e_WidgetElementNumberOfCopies = 119
| XFA widget element: Number of copies.
static final int | e_WidgetElementNumberPattern = 10
| XFA widget element: Number pattern.
static final int | e_WidgetElementNumberPatterns = 161
| XFA widget element: Number patterns.
static final int | e_WidgetElementNumberSymbol = 311
| XFA widget element: Number symbol.
static final int | e_WidgetElementNumberSymbols = 285
| XFA widget element: Number symbols.
static final int | e_WidgetElementNumericEdit = 185
| XFA widget element: Numeric edit.
static final int | e_WidgetElementOccur = 304
| XFA widget element: Occur.
static final int | e_WidgetElementOid = 25
| XFA widget element: Oid.
static final int | e_WidgetElementOids = 190
| XFA widget element: Oids.
static final int | e_WidgetElementOpenAction = 267
| XFA widget element: Open action.
static final int | e_WidgetElementOperation = 61
| XFA widget element: Operation.
static final int | e_WidgetElementOutput = 142
| XFA widget element: Output.
static final int | e_WidgetElementOutputBin = 92
| XFA widget element: Output bin.
static final int | e_WidgetElementOutputXSL = 95
| XFA widget element: Output XSL.
static final int | e_WidgetElementOverflow = 201
| XFA widget element: Overflow.
static final int | e_WidgetElementOverprint = 80
| XFA widget element: Overprint.
static final int | e_WidgetElementPacket = 282
| XFA widget element: Packet.
static final int | e_WidgetElementPackets = 220
| XFA widget element: Packets.
static final int | e_WidgetElementPageArea = 188
| XFA widget element: Page area.
static final int | e_WidgetElementPageOffset = 86
| XFA widget element: Page offset.
static final int | e_WidgetElementPageRange = 167
| XFA widget element: Page range.
static final int | e_WidgetElementPageSet = 162
| XFA widget element: Page set.
static final int | e_WidgetElementPagination = 48
| XFA widget element: Pagination.
static final int | e_WidgetElementPaginationOverride = 246
| XFA widget element: Pagination override.
static final int | e_WidgetElementPara = 43
| XFA widget element: Para.
static final int | e_WidgetElementPart = 44
| XFA widget element: Part.
static final int | e_WidgetElementPassword = 256
| XFA widget element: Password.
static final int | e_WidgetElementPasswordEdit = 184
| XFA widget element: Password edit .
static final int | e_WidgetElementPattern = 89
| XFA widget element: Pattern.
static final int | e_WidgetElementPcl = 26
| XFA widget element: Pcl.
static final int | e_WidgetElementPdf = 27
| XFA widget element: Pdf.
static final int | e_WidgetElementPdfa = 45
| XFA widget element: Pdfa.
static final int | e_WidgetElementPermissions = 277
| XFA widget element: Permissions.
static final int | e_WidgetElementPickTrayByPDFSize = 305
| XFA widget element: Pick tray by PDF size.
static final int | e_WidgetElementPicture = 146
| XFA widget element: Picture.
static final int | e_WidgetElementPlaintextMetadata = 284
| XFA widget element: Plain text metadata.
static final int | e_WidgetElementPresence = 132
| XFA widget element: Presence.
static final int | e_WidgetElementPresent = 47
| XFA widget element: Present.
static final int | e_WidgetElementPrint = 271
| XFA widget element: Print.
static final int | e_WidgetElementPrinterName = 84
| XFA widget element: Printer name.
static final int | e_WidgetElementPrintHighQuality = 286
| XFA widget element: Print high quality.
static final int | e_WidgetElementPrintScaling = 12
| XFA widget element: Print scaling.
static final int | e_WidgetElementProducer = 151
| XFA widget element: Producer.
static final int | e_WidgetElementProto = 273
| XFA widget element: Proto.
static final int | e_WidgetElementPs = 0
| XFA widget element: Ps.
static final int | e_WidgetElementPsMap = 143
| XFA widget element: Ps Map.
static final int | e_WidgetElementQuery = 156
| XFA widget element: Query.
static final int | e_WidgetElementRadial = 292
| XFA widget element: Radial.
static final int | e_WidgetElementRange = 280
| XFA widget element: Range.
static final int | e_WidgetElementReason = 112
| XFA widget element: Reason.
static final int | e_WidgetElementReasons = 247
| XFA widget element: Reasons.
static final int | e_WidgetElementRecord = 133
| XFA widget element: Record.
static final int | e_WidgetElementRecordSet = 3
| XFA widget element: Record set.
static final int | e_WidgetElementRectangle = 227
| XFA widget element: rectangle.
static final int | e_WidgetElementRef = 28
| XFA widget element: Ref.
static final int | e_WidgetElementRelevant = 194
| XFA widget element: Relevant.
static final int | e_WidgetElementRename = 60
| XFA widget element: Rename.
static final int | e_WidgetElementRenderPolicy = 260
| XFA widget element: Render policy.
static final int | e_WidgetElementRootElement = 283
| XFA widget element: Root element.
static final int | e_WidgetElementRunScripts = 257
| XFA widget element: Run scripts.
static final int | e_WidgetElementScript = 181
| XFA widget element: Script.
static final int | e_WidgetElementScriptModel = 124
| XFA widget element: Script model.
static final int | e_WidgetElementSelect = 127
| XFA widget element: Select.
static final int | e_WidgetElementSetProperty = 83
| XFA widget element: Set property.
static final int | e_WidgetElementSeverity = 307
| XFA widget element: Severity.
static final int | e_WidgetElementSharptext = 245
| XFA widget element: Sharptext.
static final int | e_WidgetElementSharpxHTML = 118
| XFA widget element: Sharpx HTML.
static final int | e_WidgetElementSharpxml = 172
| XFA widget element: Sharpxml.
static final int | e_WidgetElementSignature = 191
| XFA widget element: Signature.
static final int | e_WidgetElementSignatureProperties = 248
| XFA widget element: Signature properties.
static final int | e_WidgetElementSignaturePseudoModel = 65
| XFA widget element: Signature pseudo model.
static final int | e_WidgetElementSignData = 219
| XFA widget element: Sign data.
static final int | e_WidgetElementSigning = 179
| XFA widget element: Signing.
static final int | e_WidgetElementSilentPrint = 148
| XFA widget element: slient print.
static final int | e_WidgetElementSoapAction = 198
| XFA widget element: Soap action.
static final int | e_WidgetElementSoapAddress = 164
| XFA widget element: Soap address.
static final int | e_WidgetElementSolid = 101
| XFA widget element: Solid.
static final int | e_WidgetElementSource = 303
| XFA widget element: Source.
static final int | e_WidgetElementSourceSet = 15
| XFA widget element: Source set.
static final int | e_WidgetElementSpeak = 242
| XFA widget element: Speak.
static final int | e_WidgetElementStaple = 138
| XFA widget element: Staple.
static final int | e_WidgetElementStartNode = 71
| XFA widget element: Start node.
static final int | e_WidgetElementStartPage = 85
| XFA widget element: Start page.
static final int | e_WidgetElementStipple = 105
| XFA widget element: Stipple.
static final int | e_WidgetElementSubform = 126
| XFA widget element: Subform.
static final int | e_WidgetElementSubformSet = 5
| XFA widget element: Subform set.
static final int | e_WidgetElementSubjectDN = 289
| XFA widget element: DN.
static final int | e_WidgetElementSubjectDNs = 63
| XFA widget element: DNs.
static final int | e_WidgetElementSubmit = 279
| XFA widget element: Submit.
static final int | e_WidgetElementSubmitFormat = 139
| XFA widget element: Submit format.
static final int | e_WidgetElementSubmitUrl = 189
| XFA widget element: Submit Url.
static final int | e_WidgetElementSubsetBelow = 4
| XFA widget element: Subset below.
static final int | e_WidgetElementSuppressBanner = 91
| XFA widget element: Suppress banner.
static final int | e_WidgetElementTagged = 312
| XFA widget element: Tagged.
static final int | e_WidgetElementTemplate = 176
| XFA widget element: Template.
static final int | e_WidgetElementTemplateCache = 211
| XFA widget element: Template cache.
static final int | e_WidgetElementText = 77
| XFA widget element: Text.
static final int | e_WidgetElementTextEdit = 210
| XFA widget element: Text edit.
static final int | e_WidgetElementThreshold = 249
| XFA widget element: Threshold.
static final int | e_WidgetElementTime = 78
| XFA widget element: Time.
static final int | e_WidgetElementTimePattern = 55
| XFA widget element: Time pattern.
static final int | e_WidgetElementTimePatterns = 294
| XFA widget element: Time patterns.
static final int | e_WidgetElementTimeStamp = 121
| XFA widget element: Time stamp.
static final int | e_WidgetElementTo = 1
| XFA widget element: To.
static final int | e_WidgetElementToolTip = 110
| XFA widget element: Tool tip.
static final int | e_WidgetElementTrace = 258
| XFA widget element: Trace.
static final int | e_WidgetElementTransform = 298
| XFA widget element: Transform.
static final int | e_WidgetElementTraversal = 147
| XFA widget element: traversal.
static final int | e_WidgetElementTraverse = 174
| XFA widget element: Traverse.
static final int | e_WidgetElementType = 79
| XFA widget element: Type.
static final int | e_WidgetElementTypeface = 7
| XFA widget element: Type face.
static final int | e_WidgetElementTypefaces = 62
| XFA widget element: Typefaces.
static final int | e_WidgetElementUi = 2
| XFA widget element: Ui.
static final int | e_WidgetElementUpdate = 168
| XFA widget element: Update.
static final int | e_WidgetElementUri = 29
| XFA widget element: Uri.
static final int | e_WidgetElementUser = 226
| XFA widget element: user.
static final int | e_WidgetElementValidate = 159
| XFA widget element: Validate.
static final int | e_WidgetElementValidateApprovalSignatures = 218
| XFA widget element: Validate approval signatures.
static final int | e_WidgetElementValidationMessaging = 178
| XFA widget element: Validation messaging.
static final int | e_WidgetElementValue = 263
| XFA widget element: Value.
static final int | e_WidgetElementVariables = 293
| XFA widget element: Variables.
static final int | e_WidgetElementVersion = 135
| XFA widget element: Version.
static final int | e_WidgetElementVersionControl = 107
| XFA widget element: Version control.
static final int | e_WidgetElementViewerPreferences = 123
| XFA widget element: Viewer preferences.
static final int | e_WidgetElementWebClient = 149
| XFA widget element: Web client.
static final int | e_WidgetElementWhitespace = 51
| XFA widget element: Whitespace.
static final int | e_WidgetElementWindow = 128
| XFA widget element: Window.
static final int | e_WidgetElementWsdlAddress = 100
| XFA widget element: Wsdl address.
static final int | e_WidgetElementWsdlConnection = 66
| XFA widget element: Wsdl connection.
static final int | e_WidgetElementXdc = 30
| XFA widget element: Xdc.
static final int | e_WidgetElementXdp = 31
| XFA widget element: Xdp.
static final int | e_WidgetElementXfa = 32
| XFA widget element: Xfa.
static final int | e_WidgetElementXmlConnection = 217
| XFA widget element: Xml connection .
static final int | e_WidgetElementXMLData = 266
| XFA widget element: XML data.
static final int | e_WidgetElementXsdConnection = 173
| XFA widget element: Xsd connection.
static final int | e_WidgetElementXsl = 33
| XFA widget element: Xsl.
static final int | e_WidgetElementZpl = 34
| XFA widget element: Zpl.

## Detailed Description

This class represents the xfa widget modify information

## Constructor & Destructor Documentation

## ◆ XFAWidgetModifyInfo() [1/2]

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.XFAWidgetModifyInfo | ( | XFAWidgetModifyInfo | other | ) |

Constructor, with another xfa widget modify information object.

Parameters

  [in] | other | Another xfa widget modify information object.

## ◆ XFAWidgetModifyInfo() [2/2]

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.XFAWidgetModifyInfo | ( | int | event_type,
|  | int | page_index,
|  | int | element,
|  | int | attribute_type,
|  | String | old_value,
|  | String | new_value,
|  | String | widget_name
| ) |  |

Constructor, with parameters.

Parameters

  [in] | event_type | The XFA event type.
  [in] | page_index | The modify page index.
  [in] | element | The xfa widget element.
  [in] | attribute_type | The xfa widget attribute type.
  [in] | old_value | The old value.
  [in] | new_value | The new value.
  [in] | widget_name | The widget name.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAttribute_type()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getAttribute_type | ( |  | ) |

Get the attribute type.

Returns
  The attribute type. Please refer to values starting from com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.e_WidgetAttributeTypeH and this would be one of these values.

## ◆ getElement()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getElement | ( |  | ) |

Get the XFA widget element.

Returns
  The XFA widget element. Please refer to values starting from com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.e_WidgetElementPs and this would be one of these values.

## ◆ getEvent_type()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getEvent_type | ( |  | ) |

Get the XFA event type.

Returns
  The XFA event type. Please refer to values starting from com.foxit.sdk.addon.xfa.XFADoc.e_EventTypeUnknown and this would be one of these values.

## ◆ getNew_value()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getNew_value | ( |  | ) |

Get the new value.

Returns
  The new value.

## ◆ getOld_value()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getOld_value | ( |  | ) |

Get the old value.

Returns
  The old value.

## ◆ getPage_index()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getPage_index | ( |  | ) |

Get the page index.

Returns
  The page index.

## ◆ getWidget_name()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.getWidget_name | ( |  | ) |

Get the xfa widget name.

Returns
  The xfa widget name.

## ◆ setAttribute_type()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setAttribute_type | ( | int | value | ) |

Set the attribute type.

Parameters

  [in] | value | The attribute type. Please refer to values starting from com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.e_WidgetAttributeTypeH and this would be one of these values.

Returns
  None.

## ◆ setElement()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setElement | ( | int | value | ) |

Set the XFA widget element.

Parameters

  [in] | value | The XFA widget element. Please refer to values starting from com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.e_WidgetElementPs and this would be one of these values.

Returns
  None.

## ◆ setEvent_type()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setEvent_type | ( | int | value | ) |

Set the XFA event type.

Parameters

  [in] | value | The XFA event type. Please refer to values starting from com.foxit.sdk.addon.xfa.XFADoc.e_EventTypeUnknown and this would be one of these values.

Returns
  None.

## ◆ setNew_value()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setNew_value | ( | String | value | ) |

Set the new value.

Parameters

  [in] | value | The new value.

Returns
  None.

## ◆ setOld_value()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setOld_value | ( | String | value | ) |

Set the old value.

Parameters

  [in] | value | The old value.

Returns
  None.

## ◆ setPage_index()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setPage_index | ( | int | value | ) |

Set the page index.

Parameters

  [in] | value | The page index.

Returns
  None.

## ◆ setWidget_name()

com.foxit.sdk.addon.xfa.XFAWidgetModifyInfo.setWidget_name | ( | String | value | ) |

Set the xfa widget name.

Parameters

  [in] | value | The xfa widget name.

Returns
  None.